Bug 1126036 - [Docs] Add note to planning guide to not self-host RHEV's DNS servers
Summary: [Docs] Add note to planning guide to not self-host RHEV's DNS servers
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.4.1-1
Hardware: All
OS: Linux
low
low
Target Milestone: ovirt-3.6.0-rc3
: 3.6.0
Assignee: Julie
QA Contact: James W. Mills
URL:
Whiteboard: docs
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:21 UTC by James W. Mills
Modified: 2019-05-07 12:50 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 21:00:04 UTC
oVirt Team: Docs


Attachments (Terms of Use)

Description James W. Mills 2014-08-01 16:21:16 UTC
Proposed title of this feature request

Do not support running RHEV's primary/secondary DNS servers from within RHEV itself
  
  
What is the nature and description of the request?  

RHEV relies heavily on DNS for communication.  When RHEV is configured to use a primary DNS server that is hosted within RHEV problems can occur.  For example, if the primary DNS server goes down within RHEV, RHEV loses the ability to query hypervisors for VM status.  Even when there is a secondary DNS server, overall engine performance is greatly inhibited.  Moreover, in the event that there is only one DNS server, the customer might find themselves in a situation where hypervisors go unresponsive because they can no longer resolve the manager, making it impossible to bring the DNS server back online.

We should strongly discourage (or even better officially not support) running RHEV's DNS servers from within RHEV itself.
  
Why does the customer need this? (List the business requirements here)  

Customers do not realize the negative implications of this configuration.
  
How would the customer like to achieve this? (List the functional requirements here)  

Documentation warning against it.
  
For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  

We need to make this clear in the same manner with which we state we do not support running RHEV on the same machine as IPA

Is there already an existing RFE upstream or in Red Hat Bugzilla?  

No
  
Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  

No, but the sooner the better.

Is the sales team involved in this request and do they have any additional input?  

No
  
List any affected packages or components.  

Online RHEV documentation
  
Would the customer be able to assist in testing this functionality if implemented?  

They could verify that the warning exists.

Comment 6 Julie 2015-11-10 04:03:42 UTC
Thanks James! That would be great! 

------------------------------------
Note:
Since the note is acked by the original bug requester, moving this bug to VERIFIED. Aiming to publish the content for the 3.6 Beta release.


Note You need to log in before you can comment on or make changes to this bug.